

ifeq ($(HOST_OS),oskit)
ARCH_LIBS =	-loskit_startup -loskit_linux_dev -loskit_bootp \
		-loskit_freebsd_net # -loskit_memdebug
ARCH_PLIBS =	-loskit_startup_p -loskit_linux_dev_p -loskit_bootp_p \
		-loskit_freebsd_net_p -loskit_memfs_p -loskit_fsnamespace_p \
		-loskit_gprof # -loskit_memdebug_p
ARCH_CFLAGS +=	-DOSKIT # -DMEMDEBUG # -DNODEOS_SPEC_COMPAT
ARCH_DEPINCS =	-I$(OSKIT_INSTDIR)/include -I$(OSKIT_INSTDIR)/include/oskit/c \
		-I$(OSKIT_INSTDIR)/include/oskit/threads
endif

ifeq ($(HOST_OS),linux-gnu)
endif

ifeq ($(HOST_OS),solaris2.7)
ARCH_LIBS =	-lposix4 -lpthread -lsocket
# XXX ARCH_PLIBS ??
endif

ifeq ($(HOST_OS),freebsd3.0)
ARCH_CFLAGS +=	-DHAVE_SOCKADDR_SA_LEN
endif

#
# hack to avoid conflicts between -lgcc and -lfreebsd_c(divsi3.o)
#
ifeq ($(HOST_ARCH),arm32)
ARCH_LIBS +=	-loskit_threads -loskit_dev
ARCH_PLIBS +=	-loskit_threads_p -loskit_dev_p
endif

OLD=	$(LD)
PLD=	$(LD)

VPATH=	$(SRCDIR)

# How to compile them.
%.o: %.c
	$(CC) $(CFLAGS) -c  $< -o $@

# How to build profiled object files.
%.po: %.c
	$(CC) $(CFLAGS) -pg -DGPROF -c $< -o $@

# How to build super optimized object files.
%.oo: %.c
	$(CC) $(CFLAGS) -O4 -DNDEBUG -c $< -o $@
