/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#define HAVE_NET
#undef HAVE_DISK

/*
 * Channel types, choose all that matter
 */
#define CHAN_CLOCK
#undef CHAN_ETH
#define CHAN_SOCKET

#if defined(CHAN_ETH) && defined(CHAN_SOCKET)
#error "Can only define one of CHAN_ETH and CHAN_SOCKET currently"
#endif

#ifdef CHAN_ETH
#define CHAN_IF
#endif

#ifdef __sun__
#undef CHAN_ETH		/* XXX doesn't work yet */
#endif

#if defined(CHAN_ETH) || defined(CHAN_SOCKET)
#define HAVE_NET
#endif

#if defined(HAVE_NET) || defined(HAVE_DISK)
#define HAVE_DEVICES
#endif
